# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="Fish shell like syntax highlighting for Zsh."
HOMEPAGE="http://github.com/zsh-users/zsh-syntax-highlighting"

if [[ "${PV}" = 9999 ]] ; then
	EGIT_REPO_URI="https://github.com/zsh-users/zsh-syntax-highlighting.git"
	inherit git-r3
else
	SRC_URI="https://github.com/zsh-users/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
fi

LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"

RDEPEND="app-shells/zsh"
DEPEND="${RDEPEND}"

src_compile ()
{
	emake all
}

src_install ()
{
	emake PREFIX=/usr DESTDIR="${D}" install
}
